# $Revision: 1.39 $, $Date: 2002/06/15 12:19:10 $
Summary:	Privileged helper for utmpx updates
Summary(es):	Programa para actualizacin del utmp/wtmp
Summary(pl):	Program pozwalajcy na zapisywanie w utmpx
Summary(pt_BR):	Programa para atualizao do utmp/wtmp
Summary(ru):	     utmp/wtmp
Summary(uk):	צ    ͦ  utmp/wtmp
Name:		utempter
Version:	0.5.2
Release:	9
License:	MIT
Group:		Base
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-lastlog.patch
Patch1:		%{name}-utmp-cleanup.patch
PreReq:		SysVinit >= 2.76-14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libutempter0

%description
Utempter is a utility which allows programs to log information to a
privileged file (/var/run/utmpx), without compromising system
security. It accomplishes this task by acting as a buffer between root
and the programs.

%description -l es
Programa para actualizacin del utmp/wtmp.

%description -l pl
Utempter jest programem pozwalajcym uytkownikom na zapisywanie do
pliku /var/run/utmpx bez naruszania bezpieczestwa systemu.

%description -l pt_BR
O Utempter  um utilitrios que permite a programas guardar informao
 arquivos privilegiados (/var/run/utmp), sem comprometer a segurana
do sistema. Ele faz esta tarefa atuando como um "buffer" entre o
usurio root e os programas.

%description -l ru
Utempter -  ,    
    (/var/run/utmp)  
 .    ,  
 root'   .

%description -l uk
Utempter -  ̦,  Ѥ   æ 
צ  (/var/run/utmp)   ϧ .
 դ  ,   ͦ root'  
.

%package devel
Summary:	utempter library and header files
Summary(pl):	Pliki nagwkowe oraz biblioteki utemptera
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libutempter0-devel

%description devel
utempter library and header files.

%description devel -l pl
Pliki nagwkowe oraz biblioteki utemptera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT install

install -d $RPM_BUILD_ROOT/var/run
:> $RPM_BUILD_ROOT/var/run/utmpx

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(2755,root,utmp) %{_sbindir}/*
%attr(0755,root,root) %{_libdir}/lib*.so.*

%attr(664,root,utmp) %ghost /var/run/utmpx

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/utempter.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: utempter.spec,v $
Revision 1.39  2002/06/15 12:19:10  undefine
- release 9.

Revision 1.38  2002/05/31 21:00:30  undefine
- add utempter-utmp-cleanup.patch which add utmp-cleanup program to clean
  utmp base (by Andrzej Szombierski<anszom@v-lo.krakow.pl>)
- release 8.1

Revision 1.37  2002/04/10 21:43:47  kloczek
- libutempter0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.36  2002/04/10 21:42:13  kloczek
- release 8: merge translations from KSI and Conectiva.

Revision 1.35  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/18 13:02:30  gotar
- removed Prereq: /sbin/ldconfig (glibc content).

Revision 1.33  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/29 23:53:35  gotar
- %description changes/adds.

Revision 1.31  2001/11/24 02:11:30  kloczek
- release 6.

Revision 1.30  2001/10/30 23:10:57  qboosh
- adapterized, cosmetics, fixed spelling, added reaining pl translations

Revision 1.29  2001/10/30 18:34:16  gotar
- some useless cosmetics.

Revision 1.28  2001/05/27 17:07:05  kloczek
- release 5.

Revision 1.27  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.26  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 04:41:53  kloczek
- spec adapterized.

Revision 1.24  2000/05/10 17:37:48  kloczek
- release 3 (to allow upgrade from RH 6.2).

Revision 1.23  2000/05/09 14:52:05  baggins
- updated to 0.5.2
- added patch for lastlog logging

Revision 1.22  2000/04/25 19:36:49  zagrodzki
- removed almost everything from %post

Revision 1.21  2000/04/25 19:18:08  zagrodzki
- Prereq: make, fileutils

Revision 1.20  2000/04/15 15:27:21  mis
- moved creation of utmp group to SysVinit (to avoid requirements loop)

Revision 1.19  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.17  1999/12/15 21:05:08  kloczek
- release 4,
- added "rm -f /var/run/utmp" in %post.

Revision 1.16  1999/12/02 12:28:20  kloczek
- updated to 0.5.1,
- changed permission on sgid binary to 2755.

Revision 1.15  1999/08/01 23:07:27  kloczek
- fixed groupadd parameters.

Revision 1.14  1999/08/01 23:05:35  kloczek
- ops: /sbin/ldconfig can not be runed as -p parameter,
- Prereq: /sbin/ldconfig rules added.

Revision 1.13  1999/08/01 23:01:01  kloczek
- more utmpx -> utmp group fixes.

Revision 1.12  1999/08/01 22:55:43  kloczek
- utmpx group changed to utmp (for compatybility with RH).

Revision 1.11  1999/08/01 22:52:55  kloczek
- /sbin/ldconfig as %post -p parameter,
- cosmetics.

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 13 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.5-3]
- major changes,
- group utmpx with gid 60,
- only /var/run/utmpx is owned by this packet,
- groupdel in %post
- /usr/bin/update-db in %pre & %postun

* Wed Apr 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.5-2]
- added -q %setup parameter,
- added stripping shared library and binaries,
- added devel subpackage,
- removed /sbin/ldconfig from Prereq (this is automatically generated).
